0

I've looked at a lot of questions like this but found little in answers other than the standard apt-get purge, -f, remove, clean, etc,etc,etc. I have a package system really badly clogged up from changing sources to try and get kde plasma 5 desktop beta, and now I have a bunch in queue, a couple that are failing installation, and I'm at my wits end where apt-get install -f is throwing a broken pipe error even after I delete all the sources I added, the apt-get cache, and a couple other things. Please tell me if there is anything I can show you that would help.

Output of apt-get install -f command:

sawyer-kde@sawyer-Precision-WorkStation-670:~$ sudo apt-get -f install
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Correcting dependencies... Done
The following extra packages will be installed:
  kde-window-manager-common kdepim-runtime kdepimlibs-kio-plugins ksysguard ksysguardd libakonadi-calendar4 libakonadi-contact4 libakonadi-kcal4 libakonadi-kde4 libakonadi-kmime4 libakonadi-notes4 libakonadi-socialutils4 libbaloopim4 libcalendarsupport4 libgps21 libincidenceeditorsng4 libkabc4 libkalarmcal2 libkcal4 libkcalcore4
  libkcalutils4 libkdecorations4abi2 libkdepim4 libkdepimdbusinterfaces4 libkdgantt2-0 libkephal4abi1 libkholidays4 libkimap4 libkldap4 libkleo4 libkmanagesieve4 libkmbox4 libkmime4 libkpgp4 libkpimidentities4 libkpimtextedit4 libkpimutils4 libkresources4 libksgrd4 libksieve4 libksieveui4 libksignalplotter4 libktnef4
  libkwineffects1abi5 libkworkspace4abi2 libmailcommon4 libmailimporter4 libmailtransport4 libmessagecomposer4 libmessagecore4 libmessagelist4 libmessageviewer4 libmicroblog4 libnoteshared4 libpimcommon4 libplasma-geolocation-interface4 libplasmaclock4abi4 libplasmagenericshell4 libprocesscore4abi1 libprocessui4a libsendlater4
  libtaskmanager4abi5 libtemplateparser4 libweather-ion6 plasma-dataengines-workspace plasma-netbook plasma-widgets-workspace python3-pykde4
Suggested packages:
  gpsd
Recommended packages:
  kde-workspace
The following packages will be REMOVED:
  libkdecorations4abi1
The following NEW packages will be installed:
  kdepim-runtime libakonadi-calendar4 libakonadi-kmime4 libcalendarsupport4 libgps21 libincidenceeditorsng4 libkalarmcal2 libkcalutils4 libkdecorations4abi2 libkdepim4 libktnef4 libkwineffects1abi5 libmailcommon4 libmailimporter4 libmailtransport4 libmessagecomposer4 libmessagecore4 libmessageviewer4 libtemplateparser4
  plasma-dataengines-workspace plasma-widgets-workspace python3-pykde4
The following packages will be upgraded:
  kde-window-manager-common kdepimlibs-kio-plugins ksysguard ksysguardd libakonadi-contact4 libakonadi-kcal4 libakonadi-kde4 libakonadi-notes4 libakonadi-socialutils4 libbaloopim4 libkabc4 libkcal4 libkcalcore4 libkdepimdbusinterfaces4 libkdgantt2-0 libkephal4abi1 libkholidays4 libkimap4 libkldap4 libkleo4 libkmanagesieve4
  libkmbox4 libkmime4 libkpgp4 libkpimidentities4 libkpimtextedit4 libkpimutils4 libkresources4 libksgrd4 libksieve4 libksieveui4 libksignalplotter4 libkworkspace4abi2 libmessagelist4 libmicroblog4 libnoteshared4 libpimcommon4 libplasma-geolocation-interface4 libplasmaclock4abi4 libplasmagenericshell4 libprocesscore4abi1
  libprocessui4a libsendlater4 libtaskmanager4abi5 libweather-ion6 plasma-netbook
46 upgraded, 22 newly installed, 1 to remove and 192 not upgraded.
8 not fully installed or removed.
Need to get 0 B/19.9 MB of archives.
After this operation, 56.7 MB of additional disk space will be used.
Do you want to continue? [Y/n]  
Extracting templates from packages: 100%
(Reading database ... 305562 files and directories currently installed.)
Preparing to unpack .../kde-window-manager-common_4%3a4.11.12-0ubuntu1.1_amd64.deb ...
Unpacking kde-window-manager-common (4:4.11.12-0ubuntu1.1) over (4:4.11.11-0ubuntu0.2) ...
dpkg: error processing archive /var/cache/apt/archives/kde-window-manager-common_4%3a4.11.12-0ubuntu1.1_amd64.deb (--unpack):
 trying to overwrite '/usr/share/doc/kde/HTML/en/kcontrol/windowspecific/kwin-window-matching.png', which is also in package kde-workspace-data 4:4.11.11-0ubuntu0.2
dpkg-deb: error: subprocess paste was killed by signal (Broken pipe)
Errors were encountered while processing:
 /var/cache/apt/archives/kde-window-manager-common_4%3a4.11.12-0ubuntu1.1_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
sawyer-kde@sawyer-Precision-WorkStation-670:~$ 
10
  • which version of Ubuntu you are using? – g_p Jan 15 '15 at 14:15
  • It looks to me like youre going to have to bite the bullet and re-install. :( Please have a look at some back-up stuff so that this is the last time this happens to you? You're user type 4... ;-) – Fabby Jan 15 '15 at 21:15
  • 1
    @Fabby unfortunately you might be right – sbergeron Jan 15 '15 at 21:46
  • 1
    actually I finally figured out how to fix it, I had to manually purge a few packages but it works now! – sbergeron Jan 15 '15 at 22:06
  • 1
    Wow! Can you share that solution? (and implement a backup strategy for yourself!) :P >:) – Fabby Jan 15 '15 at 22:27
-1

I had the same problem :

manually updating kde-workspace-data fixed it for me

cd /var/cache/apt/archives
sudo dpkg -i kde-workspace-data-(correct-version-goes-here).deb

afterwards dist-upgrade continued

0

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.